# keychaincredential.query

Type: object

##

Type: array
No Additional Items

#### Tuple Validation

##### Parameter 1: filters

#### filters

Type: array Default: []
No Additional Items

##### Each item of this array must be:

Type: object

##### Parameter 2: options

#### options

Type: object
Default:
{ "relationships": true, "extend": null, "extend_context": null, "prefix": null, "extra": {}, "order_by": [], "select": [], "count": false, "get": false, "offset": 0, "limit": 0, "force_sql_filters": false }
No Additional Properties

##

#### Relationships

Type: boolean Default: true

##

#### Extend

Default: null

## Any of

Type: string
Type: null

##

#### Extend Context

Default: null

## Any of

Type: string
Type: null

##

#### Prefix

Default: null

## Any of

Type: string
Type: null

##

#### Extra

Type: object Default: {}

##

#### Order By

Type: array of string Default: []
No Additional Items

##### Each item of this array must be:

Type: string

##

#### Select

Type: array Default: []
No Additional Items

##### Each item of this array must be:

## Any of

Type: string
Type: array
No Additional Items

##### Each item of this array must be:

Type: object

##

#### Count

Type: boolean Default: false

##

#### Get

Type: boolean Default: false

##

#### Offset

Type: integer Default: 0

##

#### Limit

Type: integer Default: 0

##

#### Force Sql Filters

Type: boolean Default: false

##

#### Result

## Any of

Type: array of object
No Additional Items

##### Each item of this array must be:

#### KeychainCredentialQueryResultItem

Type: object
No Additional Properties

##

#### Id

Type: integer

##

#### Name

Type: string

Distinguishes this Keychain Credential from others.

Must be at least `1` characters long

##

#### Type

Type: enum (of string)

##### Must be one of:

- "SSH_KEY_PAIR"
- "SSH_CREDENTIALS"

##

#### Attributes

## Any of

#### SSHKeyPair

Type: object

At least one of the two keys must be provided on creation.

No Additional Properties

##

#### Private Key

Default: null

## Any of

Type: string
Type: null

##

#### Public Key

Default: null

Can be omitted and automatically derived from the private key.

## Any of

Type: string
Type: null

#### SSHCredentials

Type: object
No Additional Properties

##

#### Host

Type: string

##

#### Port

Type: integer Default: 22

##

#### Username

Type: string Default: "root"

##

#### Private Key

Type: integer

Keychain Credential ID.

##

#### Remote Host Key

Type: string

Can be discovered with keychaincredential.remotesshhostkeyscan.

##

#### Connect Timeout

Type: integer Default: 10

#### KeychainCredentialQueryResultItem

Type: object
No Additional Properties

##

#### Id

Type: integer

##

#### Name

Type: string

Distinguishes this Keychain Credential from others.

Must be at least `1` characters long

##

#### Type

Type: enum (of string)

##### Must be one of:

- "SSH_KEY_PAIR"
- "SSH_CREDENTIALS"

##

#### Attributes

## Any of

Type: object
Type: object
Type: integer

Required roles: KEYCHAIN_CREDENTIAL_READ